Bug 490685 - Installing with iSCSI volume fails to remove existing iSCSI LVM data (LVMError: vgremove failed for VolGroup00)
Installing with iSCSI volume fails to remove existing iSCSI LVM data (LVMErro...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
anaconda_trace_hash:20005b9aef417f797...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 12:28 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-27 15:18:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (225.02 KB, text/plain)
2009-03-17 12:28 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-17 12:28:14 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.31 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devicelibs/lvm.py", line 259, in vgremove
    raise LVMError("vgremove failed for %s" % vg_name)
  File "/usr/lib/anaconda/storage/devices.py", line 1695, in destroy
    lvm.vgremove(self.name)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 221, in execute
    self.device.destroy()
  File "/usr/lib/anaconda/storage/devicetree.py", line 629, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 184, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
LVMError: vgremove failed for VolGroup00
Comment 1 James Laska 2009-03-17 12:28:18 EDT
Created attachment 335549 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-03-26 15:38:34 EDT
Are you still seeing this with rawhide?  These sorts of bugs sure do come and go an awful lot.
Comment 3 Joel Andres Granados 2009-04-17 10:08:03 EDT
This issue was taken care of with the addition of inconsistency checking.  please change to assigned if you see this one again.dm', 'settle', '--timeout=10']
Running... ['lvm', 'vgremove', 'VolGroup00']
  Couldn't find device with uuid 'ph6tN0-DZGK-QrIE-ElGa-lC2g-zY9M-wCUTf4'.
  Volume group "VolGroup00" not found, is inconsistent or has PVs missing.
  Consider vgreduce --removemissing if metadata is inconsistent.
Comment 4 James Laska 2009-04-27 15:18:12 EDT
Tested and confirmed fix in anaconda-11.5.0.47

Note You need to log in before you can comment on or make changes to this bug.